{% set props = data.properties if 'properties' in data else data %}
{% set bgp = props.routing.bgp_routing %}

router bgp 7029
    neighbor {{ bgp.ipv4PeerAddress }}
    neighbor {{ bgp.ipv4PeerAddress }} remote-as {{ bgp.customer_asn }}
    {% if bgp.bgppassword is defined and bgp.bgppassword | length > 0 %}
        neighbor {{ bgp.ipv4PeerAddress }} password clear {{ bgp.bgppassword }}
    {% endif %}
    neighbor {{ bgp.ipv4PeerAddress }} description {{ bgp.bgpdescription }}
    neighbor {{ bgp.ipv4PeerAddress }} address-family ipv4 unicast
    address-family ipv4 unicast maximum-prefix 500 80 restart 10
    address-family ipv4 unicast route-policy {{ bgp.customerMap }} in
    address-family ipv4 unicast route-policy {{ bgp.bgpFlavorType }} out
    address-family ipv4 unicast remove-private-AS
    address-family ipv4 unicast soft-reconfiguration inbound always

